public class TestArrayTransfer
	{public static void scrivi(int a, int b,
		int c, int d,
		String e, String f)
	   {System.out.println("a = "+a+
		"    b = "+b);
	    System.out.println("A[0] = "+c+
		"     B[0] = "+d);
	    System.out.println("alpha = "+e+
		"	beta = "+f);
	   }
	 public static void main(String[] args)
	   {
	    System.out.println("Prima della modifica:");
	    scrivi(a,b,A[0],B[0],alpha,beta);
	    a = 2;
       	A[0] = 2;
	    //beta = alpha.substring(0,2)+"t"+alpha.substring(2,3);
	    System.out.println("Dopo la modifica:");
	    scrivi(a,b,A[0],B[0],alpha,beta);
		alpha="dopo";
		scrivi(a,b,A[0],B[0],alpha,beta);
	   }
	   static int a = 1;
	   static int b = a;
	   static int[] A = {1,2,3};
	   static int[] B = A;
	   static String alpha = "uno";
	   static String beta = alpha;
	}

